Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsrequestvalidator
Class Policy

    java.lang.Object
      org.deegree.security.owsrequestvalidator.Policy

    public class Policy

extends Object

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Constructor Summary
`Policy(SecurityConfig securityConfig, Condition generalCondition, Request[] requests)`

Method Summary
`void` | `addRequest(Request request)` adds a request/condintions to the `Policy`
`Condition` | `getGeneralCondition()` returns the general conditions that must be fullfilled by a request
`Request` | `getRequest(String service, String request)` returns one request/condintionset from the `Policy` matching the passed service and request name.
`Request[]` | `getRequests()` returns the requests/condintions described by a `Policy`.
`SecurityConfig` | `getSecurityConfig()` sets the configuration for access to the configuration of the security persistence mechanim
`void` | `removeRequest(String service, String name)` removes a request/condintions from the Policy
`void` | `setRequests(Request[] requests)` sets the requests/condintions described by a `Policy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Policy

    public Policy(SecurityConfig securityConfig,
                  Condition generalCondition,
                  Request[] requests)

Parameters:
  `securityConfig` - configuration for accessing user based security/right informations
  `requests` - description of constraints for several OWS requests
  `generalCondition` - general security/right constraints

Method Detail

### getRequests

    public Request[] getRequests()

  returns the requests/condintions described by a `Policy`. A request objects contains conditions for each parameter and maybe for combinations of two or more parameters.

  Returns:
    the requests/condintions described by a `Policy`.

### getRequest

    public Request getRequest(String service,
                              String request)

  returns one request/condintionset from the `Policy` matching the passed service and request name. If no request for the passed combination of service and request name is registered `null` will be returned

  Parameters:
    `service` -
    `request` -
  Returns:
    one request/condintionset from the `Policy` matching the passed service and request name. If no request for the passed combination of service and request name is registered `null` will be returned
  See Also:
    `getRequests()`

### setRequests

    public void setRequests(Request[] requests)

  sets the requests/condintions described by a `Policy`

  Parameters:
    `requests` -
  See Also:
    `getRequests()`

### addRequest

    public void addRequest(Request request)

  adds a request/condintions to the `Policy`

  Parameters:
    `request` -
  See Also:
    `getRequests()`

### removeRequest

    public void removeRequest(String service,
                              String name)

  removes a request/condintions from the Policy

  Parameters:
    `service` -
    `name` -
  See Also:
    `getRequests()`

### getSecurityConfig

    public SecurityConfig getSecurityConfig()

  sets the configuration for access to the configuration of the security persistence mechanim

  Returns:
    securityConfig

### getGeneralCondition

    public Condition getGeneralCondition()

  returns the general conditions that must be fullfilled by a request

  Returns:
    the general conditions that must be fullfilled by a request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org